# Interface AnnotationValue.OfFloat

All Superinterfaces:
  `AnnotationValue`, `AnnotationValue.OfConstant`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfFloat extends AnnotationValue.OfConstant
Models a float value of an element-value pair. The tag of this value is F.

Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface java.lang.classfile.AnnotationValue

`AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

## Field Summary

### Fields declared in interface java.lang.classfile.AnnotationValue

`TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

## Method Summary

Modifier and Type
Method
Description
`FloatEntry`
`constant()`
Returns the backing float entry.
`float`
`floatValue()`
Returns the constant float value.
`default Float`
`resolvedValue()`
Returns the resolved float value.

### Methods declared in interface java.lang.classfile.AnnotationValue

`tag`

## Method Details

### constant

FloatEntry constant()
Returns the backing float entry.

Specified by:
  `constant` in interface `AnnotationValue.OfConstant`
Returns:
  the backing float entry

### floatValue

float floatValue()
Returns the constant float value.

Returns:
  the constant float value

### resolvedValue

default Float resolvedValue()
Returns the resolved float value.

Specified by:
  `resolvedValue` in interface `AnnotationValue.OfConstant`
Implementation Requirements:
  This method returns the same as `floatValue()`.
Returns:
  the resolved float value